openapi: 3.0.2
info:
  description: An API collection for Covid 19 by Crediwatch
  title: Crediwatch's Covid APIs
  version: 1.3.0
  x-apisguru-categories:
    - open_data
  x-origin:
    - format: openapi
      url: https://api-covid.crediwatch.com/openapi.json
      version: "3.0"
  x-providerName: crediwatch.com
  x-serviceName: covid19
  x-logo:
    url: https://api.apis.guru/v2/cache/logo/https_apis.guru_assets_images_no-logo.svg
paths:
  /api/v1/status/call:
    get:
      operationId: status_call_api_v1_status_call_get
      parameters:
        - in: query
          name: query
          required: true
          schema:
            title: Query
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StatusCall"
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Status Call
  /api/v1/status/sku:
    get:
      operationId: status_sku_api_v1_status_sku_get
      parameters:
        - in: query
          name: query
          required: true
          schema:
            title: Query
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StatusCall"
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Status Sku
  /api/v1/verify/name:
    get:
      operationId: verify_name_api_v1_verify_name_get
      parameters:
        - in: query
          name: query
          required: true
          schema:
            title: Query
            type: string
        - in: query
          name: state
          required: false
          schema:
            title: State
            type: string
        - in: query
          name: city
          required: false
          schema:
            title: City
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/VerifyName"
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Verify Name
  /api/v1/verify/phone:
    get:
      operationId: verify_business_api_v1_verify_phone_get
      parameters:
        - in: query
          name: query
          required: true
          schema:
            title: Query
            type: string
        - in: query
          name: locking_period
          required: false
          schema:
            default: 24
            title: Locking Period
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/VerifyPhone"
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Verify Business
  /api/v1/verify/sku:
    get:
      operationId: verify_sku_api_v1_verify_sku_get
      parameters:
        - in: query
          name: query
          required: true
          schema:
            title: Query
            type: string
        - in: query
          name: locking_period
          required: false
          schema:
            default: 24
            title: Locking Period
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/VerifyPhone"
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Verify Sku
components:
  schemas:
    GetStatus:
      properties:
        answered_by:
          default: Not Available
          title: Answered By
          type: string
        error:
          default: Call cant be placed
          title: Error
          type: string
        option_selected:
          default:
            - Not Available
          title: Option Selected
          type: string
        phone_number:
          default:
            - Not Available
          title: Phone Number
          type: string
        previously_verified_at:
          default:
            - Not Available
          title: Previously Verified At
          type: string
        progress:
          default: Not Available
          title: Progress
          type: string
        token:
          default: Not Available
          title: Token
          type: string
      title: GetStatus
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: "#/components/schemas/ValidationError"
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PlaceCall:
      properties:
        answered_by:
          default: Not Available
          title: Answered By
          type: string
        error:
          default: Call cant be placed
          title: Error
          type: string
        option_selected:
          default:
            - Not Available
          title: Option Selected
          type: string
        phone_number:
          default:
            - Not Available
          title: Phone Number
          type: string
        previously_verified_at:
          default:
            - Not Available
          title: Previously Verified At
          type: string
        progress:
          default: Not Available
          title: Progress
          type: string
        token:
          default: Not Available
          title: Token
          type: string
      title: PlaceCall
      type: object
    StatusCall:
      properties:
        data:
          $ref: "#/components/schemas/GetStatus"
        meta:
          $ref: "#/components/schemas/VerifyNameMeta"
      required:
        - meta
        - data
      title: StatusCall
      type: object
    ValidationError:
      properties:
        loc:
          items:
            type: string
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    VerifyName:
      properties:
        data:
          items:
            $ref: "#/components/schemas/VerifyNameData"
          title: Data
          type: array
        meta:
          $ref: "#/components/schemas/VerifyNameMeta"
      required:
        - meta
        - data
      title: VerifyName
      type: object
    VerifyNameData:
      properties:
        business_name:
          default: Not Available
          title: Business Name
          type: string
        city:
          default: Not Available
          title: City
          type: string
        department_code_and_type:
          default: []
          items:
            type: string
          title: Department Code And Type
          type: array
        entity_type:
          default: Not Available
          title: Entity Type
          type: string
        is_gstn_verified:
          default: false
          title: Is Gstn Verified
          type: boolean
        nature_of_business:
          default: []
          items:
            type: string
          title: Nature Of Business
          type: array
        pincode:
          default: 999999
          title: Pincode
          type: integer
        registration_date:
          default: Not Available
          title: Registration Date
          type: string
        registration_type:
          default: Not Available
          title: Registration Type
          type: string
        state:
          default: Not Available
          title: State
          type: string
      title: VerifyNameData
      type: object
    VerifyNameMeta:
      properties:
        job_id:
          default: "111111111111111111111111"
          title: Job Id
          type: string
        job_time:
          default: 24
          title: Job Time
          type: integer
        query:
          title: Query
          type: string
      required:
        - query
      title: VerifyNameMeta
      type: object
    VerifyPhone:
      properties:
        data:
          $ref: "#/components/schemas/PlaceCall"
        meta:
          $ref: "#/components/schemas/VerifyNameMeta"
      required:
        - meta
        - data
      title: VerifyPhone
      type: object
